Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.util
Class ListenerMap

    java.lang.Object
      edu.stanford.smi.protege.util.ListenerCollection
          edu.stanford.smi.protege.util.ListenerMap

    public class ListenerMap

extends ListenerCollection

Maintains a collection of listeners for each of a set of sources (that is, each source has its own set of listeners). Posting to these listeners can be enabled or disabled all at once.

Author:
  Ray Fergerson

Constructor Summary
`ListenerMap(EventDispatcher d)`

Method Summary
`Collection` | `getListeners(Object o)`
`Collection` | `getSources()`
`boolean` | `hasListeners(Object source)`
`protected boolean` | `isPosting(Object o)`
`void` | `remove(Object source, EventListener listener)`
`void` | `removeAllListeners(Object source)`
`protected void` | `saveListeners(Object source, Collection c)`
`protected void` | `setFinishPosting(Object o)`
`protected boolean` | `setStartPosting(Object o)`

Methods inherited from class edu.stanford.smi.protege.util.ListenerCollection
`add, equals, isPostingEnabled, postEvent, postEvent, postEvent, postEvent, setPostingEnabled, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ListenerMap

    public ListenerMap(EventDispatcher d)

Method Detail

### getListeners

    public Collection getListeners(Object o)

  Specified by:
    `getListeners` in class `ListenerCollection`

### getSources

    public Collection getSources()

  Specified by:
    `getSources` in class `ListenerCollection`

### hasListeners

    public boolean hasListeners(Object source)

  Specified by:
    `hasListeners` in class `ListenerCollection`

### isPosting

    protected boolean isPosting(Object o)

  Specified by:
    `isPosting` in class `ListenerCollection`

### remove

    public void remove(Object source,
                       EventListener listener)

  Overrides:
    `remove` in class `ListenerCollection`

### removeAllListeners

    public void removeAllListeners(Object source)

  Specified by:
    `removeAllListeners` in class `ListenerCollection`

### saveListeners

    protected void saveListeners(Object source,
                                 Collection c)

  Specified by:
    `saveListeners` in class `ListenerCollection`

### setFinishPosting

    protected void setFinishPosting(Object o)

  Specified by:
    `setFinishPosting` in class `ListenerCollection`

### setStartPosting

    protected boolean setStartPosting(Object o)

  Specified by:
    `setStartPosting` in class `ListenerCollection`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.